%global commitId_installer_collection 789eee8e3bdc1c18429834b68d2dcc900de7c648
%global upstream_version 2.3-3

%global installer_name ansible-automation-platform-installer
%global aap_version 2.3
%global aap_release %(echo %{upstream_version} | %{__sed} -e 's#.*-##')

%global installer_root /opt/ansible-automation-platform/installer

%global debug_package %{nil}
%global __brp_mangle_shebangs_exclude_from /ansible_collections/
%global __requires_exclude ^/usr/bin/python$

Name:           %{installer_name}
Version:        %{aap_version}
Release:        %{aap_release}%{?dist}
Summary:        Red Hat Ansible Automation Platform Installer

License:        ASL 2.0
URL:            https://docs.ansible.com/automation
BuildArch:      noarch
ExclusiveArch:  x86_64 noarch

Source0:  all
Source1:  inventory
Source2:  setup.sh
Source3:  README.md
Source4:  tower_licenses.tar.gz

Source91: automation-platform-collection-789eee8e3bdc1c18429834b68d2dcc900de7c648.tar.gz
Source92: ansible-posix-1.4.0.tar.gz
Source93: community-crypto-1.9.5.tar.gz
Source94: community-general-5.7.0.tar.gz
Source95: community-postgresql-1.3.0.tar.gz
Source96: mdellweg-filters-0.0.3.tar.gz
Source97: pulp-pulp_installer-3.21.6-1.tar.gz

BuildRequires: ansible-core >= 2.14
Requires: ansible-core >= 2.14

%description
Red Hat Ansible Automation Platform Installer

%prep
%setup -T -b 91 -n automation-platform-collection-%{commitId_installer_collection}

%build

%install
mkdir -p %{buildroot}/%{installer_root}/group_vars
cp -a %{SOURCE0} %{buildroot}/%{installer_root}/group_vars/
cp -a %{SOURCE1} %{SOURCE2} %{SOURCE3} %{buildroot}/%{installer_root}/
tar -C %{buildroot}/%{installer_root} -xf %{SOURCE4}

ansible-galaxy collection install %{_builddir}/automation-platform-collection-%{commitId_installer_collection} %{SOURCE92} %{SOURCE93} %{SOURCE94} %{SOURCE95} %{SOURCE96} %{SOURCE97} -p %{buildroot}/%{installer_root}/collections


%files
%{installer_root}
%config %{installer_root}/inventory
%license %{installer_root}/licenses
%doc %{installer_root}/README.md

%changelog
* Thu Nov 30 2023 Satoe Imaishi <simaishi@redhat.com> - 2.3-3
- Automation Platform Installer 2.3-3 release

* Tue Mar 14 2023 Satoe Imaishi <simaishi@redhat.com> - 2.3-2
- Automation Platform Installer 2.3-2 release

* Tue Nov 08 2022 Satoe Imaishi <simaishi@redhat.com> - 2.3-1
- Automation Platform Installer 2.3-1 release

* Tue Sep 06 2022 Satoe Imaishi <simaishi@redhat.com> - 2.2.1-1
- Automation Platform Installer 2.2.1-1 release

* Tue Aug 02 2022 Satoe Imaishi <simaishi@redhat.com> - 2.2.0-8
- Automation Platform Installer 2.2.0-8 release

* Thu Jun 23 2022 Satoe Imaishi <simaishi@redhat.com> - 2.2.0-7
- Automation Platform Installer 2.2.0-7 release

* Wed May 25 2022 Satoe Imaishi <simaishi@redhat.com> - 2.2.0-6
- Automation Platform Installer 2.2.0-6 release

* Tue May 24 2022 Satoe Imaishi <simaishi@redhat.com> - 2.2.0-5
- Automation Platform Installer 2.2.0 release
